Subject: bug#22926: 24.5; `shell-command', `shell-command-default-error-buffer'

From: Eli Zaretskii <[email-masked]>
Date: Mon, 07 Mar 2016 18:35:48 +0200

> Date: Sun, 6 Mar 2016 13:30:59 -0800 (PST)
> From: Drew Adams <[email-masked]>
> Cc: [email-masked]
> 
> > > 2. `shell-command-default-error-buffer': Make it a user option.
> > 
> > Not sure it's necessary.
> 
> Why should it be an internal variable?  Did you check how it is used?

I'm just saying it's not obvious we should do that.

> > > 4. Also, some lines in the doc string are too long (but not by
> > >    much: 74 chars max instead of 70).
> > 
> > I don't see how this can be helped, as those lines generally
> > reference symbols with long names.
> 
> Huh?  This is the longest line (but the mailer will perhaps wrap it):
> 
>  `start-process' directly, since it offers more control and does not impose
> 
> This is the second longest:
> 
>  In an interactive call, the variable `shell-command-default-error-buffer'
> 
> This the third longest:
> 
>  insert output in current buffer.  (This cannot be done asynchronously.)

The second one cannot be usefully made shorter (going from 72 columns
to 36 doesn't sound like a move for the best).  And since we have a 72
column line, having a 74-column line in the same doc string doesn't
sound like a disaster to me.